/*小视频div控制部分*/
mui.init({
	pullRefresh: {
		container: '#tabbar-video',
		//下拉刷新
		down: {
			style: 'circle',
			callback: pulldownRefresh
		},
		//上拉加载
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	},
	hardwareAccelerated: true
});
//获取游客信息
function getYou() {
	if(!document.getElementById('login_shua')) {
		//创建登录节点
		var buObj = document.createElement('button');
		buObj.setAttribute('type', 'button');
		buObj.setAttribute('class', 'mui-btn mui-btn-block');
		buObj.setAttribute('id', 'login_shua');
		//创建文本节点
		var textNode = document.createTextNode('登录');
		buObj.appendChild(textNode);
		buObj.addEventListener('click', function() {
			plus.webview.open('/login/login.html', 'login.html');
		});
		document.getElementById('login_status').appendChild(buObj);
	}

	var xhr = new plus.net.XMLHttpRequest();
	xhr.onreadystatechange = function() {
		if(xhr.readyState == 4) {

			if(xhr.status == 200) {

				var data = JSON.parse(xhr.responseText);

				document.getElementById('name').innerHTML = '游客-' + data.device_id;
				document.getElementById('time').innerHTML = 'VIP:' + data.end_time + '到期';

				//存储用户的VIP到期时间
				plus.storage.setItem('end_time', data.end_time);
				console.log(plus.storage.getItem('end_time'));

			} else {
				plus.nativeUI.confirm( "网络请求错误,请检查您的网络后重试！", function(e){
				if(e.index){
					getYou();
				}else{
			getYou();
					}
			});
				//plus.nativeUI.toast('网络请求错误,请稍后再试!');
			}
			
		}
	}
	xhr.open("POST", "http://lw.yyblue.com/ledong/user/youke_data");
	var data = {
		uuid: uuid
	};
	data = JSON.stringify(data);
	xhr.send(data);
}

//获取登录后的游客的信息
function getUser(uid) {
	var quitObj = document.getElementById('quit');
	if(!quitObj) {
		//添加退出登录
		var buObj = document.createElement('button');
		buObj.setAttribute('type', 'button');
		buObj.setAttribute('class', 'mui-btn mui-btn-block');
		buObj.setAttribute('id', 'quit');
		//创建文本节点
		var textNode = document.createTextNode('退出登录');
		buObj.appendChild(textNode);
		buObj.addEventListener('click', clean);
		document.getElementById('login_status').appendChild(buObj);
	}
	//获取已登录的信息
	var xhr = new plus.net.XMLHttpRequest();
	xhr.onreadystatechange = function() {
		if(xhr.readyState == 4) {
			
			if(xhr.status == 200) {

				var data = JSON.parse(xhr.responseText);
				if(data.nickname) {
					document.getElementById('name').innerHTML = data.nickname;
				} else {
					document.getElementById('name').innerHTML = data.tel;
				}

				if(uid != 139) {
					document.getElementById('time').innerHTML = 'VIP:' + data.end_time + '到期';
				}

				if(data.headimgurl) {
					document.getElementById('img').setAttribute("src", data.headimgurl);
				}

				//存储用户的VIP到期时间
				plus.storage.setItem('end_time', data.end_time);
				console.log(plus.storage.getItem('end_time'));
				if(!data['is_tel']) {
					//添加绑定手机号的节点
					if(!document.getElementById('bound')) {

						//创建li节点
						var liObj = document.createElement('li');
						liObj.setAttribute('class', 'mui-table-view-cell');
						liObj.setAttribute('id', 'bound');
						//创建a节点
						var aObj = document.createElement('a');
						aObj.setAttribute('class', 'mui-navigate-right');
						//创建span节点
						var spanObj = document.createElement('span');
						spanObj.setAttribute('class', 'mui-icon mui-icon mui-icon-phone user-iconbg');
						//创建文本节点
						var textObj = document.createTextNode('绑定手机号');
						//span节点添加到a节点
						aObj.appendChild(spanObj);
						//文本节点添加到span节点
						aObj.appendChild(textObj);
						//a节点添加到li节点
						liObj.appendChild(aObj);
						document.getElementById('myY').insertBefore(liObj, document.getElementById('question'));
						liObj.addEventListener('click', function() {
							//跳转到手机注册页
							plus.webview.open('/login/register.html', 'register.html');
						});

					}
				}

			} else {
				plus.nativeUI.confirm( "网络请求错误,请检查您的网络后重试！", function(e){
				if(e.index){
					getUser(uid);
				}else{
			getUser(uid);
					}
			});
			
			}

		}
	}
	xhr.open("POST", "http://lw.yyblue.com/ledong/user/getuser");
	var data = {
		uid: uid
	};
	data = JSON.stringify(data);
	xhr.send(data);
}
//退出登录
function clean() {
	var btnArray = ['否', '是'];
	mui.confirm('是否退出登录?', '乐猫', btnArray, function(e) {
		if(e.index == 1) {
			plus.storage.removeItem('uid');
			//打开登录页
			plus.webview.open('index.html', 'index.html');
		}
	})
}

//打开视频页
function openUrl(type) {
	var urls = new Array('iqiyi-login.html',
		'youku.html', 'leshi.html', 'souhu.html', 'mangguo.html', 'tengxun.html');
	var myDate = new Date();
	var time = myDate.toLocaleString(); //获取日期与时间
	var site;
	switch(type) {
		case 0:
			site = "爱奇艺";
			break;
		case 1:
			site = "优酷";
			break;
		case 2:
			site = "乐视";
			break;
		case 3:
			site = "搜狐";
			break;
		case 4:
			site = "芒果";
			break;
		case 5:
			site = "腾讯";
			break;

	}
	var uid, is_login;
	//获取用户的信息
	uid = plus.storage.getItem('uid');
	is_login = 1;
	//获取设备号
	if(!uid) {
		uid = plus.device.uuid;
		is_login = 0;
	}
	var data = {
		"site": site,
		"time": time,
		"uid": uid,
		"is_login": is_login
	};
	plus.statistic.eventTrig("click", data);
	//获取是否显示解析
	var jiexi = Number(plus.storage.getItem('jiexi'));
	if(jiexi) {
		plus.nativeUI.toast('乐猫APP已开启视频压缩技术');
	}

	//获取网络状态
	var netWork = plus.networkinfo.getCurrentType();
	switch(netWork) {
		case 0:
			plus.nativeUI.alert('您未连接网络,请连接！', '', '', '确定');
			return;
			break;
		case 1:
			plus.nativeUI.alert('您未连接网络,请连接！', '', '', '确定');
			return;
			break;
		
	}

	//判断用户是否需要登录，或者
	uid = plus.storage.getItem('uid');
	//获取系统时间

	getTime(type);
}

//分享
function fenxiang() {
	//获取网络状态
	var netWork = plus.networkinfo.getCurrentType();
	switch(netWork) {
		case 0:
			plus.nativeUI.alert('您未连接网络,请连接！', '', '', '确定');
			return;
			break;
		case 1:
			plus.nativeUI.alert('您未连接网络,请连接！', '', '', '确定');
			return;
			break;

	}
	var login_status = is_login();
	if(login_status) {
		plus.webview.open('share.html', 'share.html');
	} else {
		var btnArray = ['否', '是'];
		mui.confirm('请先登录!', '乐猫', btnArray, function(e) {
			if(e.index == 1) {
				//打开登录页
				plus.webview.open('/login/login.html', 'login.html');
			}
		})
	}
	//openUrl('share.html');
}

//激活会员
function jihuo() {
	//获取网络状态
	var netWork = plus.networkinfo.getCurrentType();
	switch(netWork) {
		case 0:
			plus.nativeUI.alert('您未连接网络,请连接！', '', '', '确定');
			return;
			break;
		case 1:
			plus.nativeUI.alert('您未连接网络,请连接！', '', '', '确定');
			return;
			break;
	}
	//判断是否登录
	var login_status = is_login();
	if(login_status) {
		plus.webview.open('activecode.html', 'activecode.html');
	} else {
		var btnArray = ['否', '是'];
		mui.confirm('请先登录!', '乐猫', btnArray, function(e) {
			if(e.index == 1) {
				//打开登录页
				plus.webview.open('/login/login.html', 'login.html');
			}
		})
	}

}

//会员充值
function chongzhi() {
	//获取网络状态
	var netWork = plus.networkinfo.getCurrentType();
	switch(netWork) {
		case 0:
			plus.nativeUI.alert('您未连接网络,请连接！', '', '', '确定');
			return;
			break;
		case 1:
			plus.nativeUI.alert('您未连接网络,请连接！', '', '', '确定');
			return;
			break;

	}
	//判断是否登录
	var login_status = is_login();
	if(login_status) {
		plus.webview.open('vip_paid.html', 'vip_paid.html');
	} else {
		var btnArray = ['否', '是'];
		mui.confirm('请先登录!', '乐猫', btnArray, function(e) {
			if(e.index == 1) {
				//打开登录页
				plus.webview.open('/login/login.html', 'login.html');
			}
		})
	}

}

//关于我们
function guanyu() {
	plus.webview.open('about_us.html', 'about_us.html');
}

//常见问题
function changjian() {
	//获取网络状态
	var netWork = plus.networkinfo.getCurrentType();
	switch(netWork) {
		case 0:
			plus.nativeUI.alert('您未连接网络,请连接！', '', '', '确定');
			return;
			break;
		case 1:
			plus.nativeUI.alert('您未连接网络,请连接！', '', '', '确定');
			return;
			break;

	}
	plus.webview.open('question.html', 'question.html');
}

//检查更新
function checkUpdate() {

	// 获取本地应用资源版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		wgtVer = inf.version;
		//console.log("当前应用版本：" + wgtVer);
		//	console.log("=================版本测试=================");
	});

	//plus.nativeUI.showWaiting("检测更新...");
	/*		$ionicLoading.show({
				template: "检测更新..."
			});
			$timeout(function() {
				$ionicLoading.hide();
			}, 1200);*/
	var xhr = new XMLHttpRequest();
	xhr.onreadystatechange = function() {
		switch(xhr.readyState) {
			case 4:
				if(xhr.status == 200) {
					//console.log("检测更新成功：" + xhr.responseText);
					// 读取最新版本号
					var res = eval("(" + xhr.responseText + ")");
					if(res == null) {
						return;
					}
					//console.log("版本信息:" + xhr.responseText);
					var newVer = res.version_code;
					//console.log("最新版本:" + newVer);
					if(wgtVer && newVer && (wgtVer != newVer)) {
						downWgt("http://lw.yyblue.com" + res.download_url);
						// H5 plus事件处理,弹出提示信息对话框
						//							plus.nativeUI.confirm("\"乐猫app\"检测到新版本,是否更新?", function(e) {
						//								if(e.index == 1){
						//									console.log("确定！更新");
						//									downWgt("http://lw.yyblue.com"+res.download_url); // 下载升级包
						//								}
						//							}, "乐猫app", ['取消', "确定"]);
					} else {
						//							plus.nativeUI.alert("无新版本可更新！");
						//console.log("检无新版本可更新！");
					}
				} else {
					//console.log("检测更新失败！");
					//plus.nativeUI.alert("检测更新失败！");
				}
				break;

		}
	}

	xhr.open('GET', checkUrl);
	xhr.send();
}

// 下载wgt文件
function downWgt(download_url) {
	plus.nativeUI.toast('正在更新...');

	//plus.nativeUI.showWaiting("下载更新文件..");
	//console.log("更新文件地址："+download_url);
	plus.downloader.createDownload(download_url, {
		filename: "_doc/update/"
	}, function(d, status) {
		if(status == 200) {
			//console.log("下载更新包成功："+d.filename);
			installWgt(d.filename); // 安装wgt包
		} else {
			//console.log("下载更新包失败！");
			//plus.nativeUI.alert("下载更新包失败！");
		}
		//plus.nativeUI.closeWaiting();
	}).start();
}

// 更新应用资源
function installWgt(path) {
	//plus.nativeUI.showWaiting("安装wgt文件...");
	// force:false进行版本号校验，如果将要安装应用的版本号不高于现有应用的版本号则终止安装，并返回安装失败
	plus.runtime.install(path, {
		force: false
	}, function() {
		//			plus.nativeUI.closeWaiting();
		//console.log("安装wgt文件成功！");
		plus.nativeUI.alert("应用资源更新完成,即将重启应用!", function() {
			plus.runtime.restart();
		});
	}, function(e) {
		//			plus.nativeUI.closeWaiting();
		//			//console.log("安装wgt文件失败[" + e.code + "]：" + e.message);
		//			plus.nativeUI.alert("安装wgt文件失败[" + e.code + "]：" + e.message);
	});
}

//右上角分享
//点击分享按钮后的action

//	var content,href,title,pic;
//function get_share(){
//
//    var url='http://'+plus.storage.getItem('domain'); 
//              var xhr = new plus.net.XMLHttpRequest();
//                      xhr.onreadystatechange = function () {
//                          if(xhr.readyState == 4){
//                              if ( xhr.status == 200 ) {
//                              var data = JSON.parse(xhr.responseText);
//                             content=data['content'];
//                             
//                             href=data['links'];
//                             title=data['title'];
//                             pic = data['pic'];
//
//           
//              }else{
//                  plus.nativeUI.toast( '网络请求错误,请稍后再试!');
//              }
//              
//              }
//          }   
//     
//              xhr.open( "GET", "http://lwtest.yyblue.com/ledong/share/share_content");
//          xhr.send();
// }     
function share_service() {
	//随机一个唯一数字
	//获取网络状态
	var netWork = plus.networkinfo.getCurrentType();
	switch(netWork) {
		case 0:
			plus.nativeUI.alert('您未连接网络,请连接！', '', '', '确定');
			return;
			break;
		case 1:
			plus.nativeUI.alert('您未连接网络,请连接！', '', '', '确定');
			return;
			break;

	}

	var login_status = is_login();
	if(login_status) {
		var timestamp = Date.parse(new Date());
		var code = uid + '' + timestamp;
//get_share();
var content,href,title,pic;

  var url='http://'+plus.storage.getItem('domain'); 
                var xhr = new plus.net.XMLHttpRequest();
                        xhr.onreadystatechange = function () {
                            if(xhr.readyState == 4){
                                if ( xhr.status == 200 ) {
                                var data = JSON.parse(xhr.responseText);
                               content=data['content'];
                               
                               href=data['links'];
                               title=data['title'];
                               pic = url+data['pic'];
                              
                               var msg = {
								desc: content,
								href: href+'?user_id=' + uid + '&code=' + code,
								title: title,
								content: content,
								pic: pic
							};
					appshare(msg, true);
                }else{
                    plus.nativeUI.toast( '网络请求错误,请稍后再试!');
                }
                
                }
            }   
			
                xhr.open( "GET", url+"/ledong/share/share_content");
//              xhr.open( "GET", "http://lwtest.yyblue.com/ledong/share/share_content");
            xhr.send();

	} else {
		var btnArray = ['否', '是'];
		mui.confirm('登录后分享可获得VIP!', '乐猫', btnArray, function(e) {
			if(e.index == 1) {
				//打开登录页
				plus.webview.open('/login/login.html', 'login.html');
			}

		})
	}

}

//获取分享服务,初始化shares变量
function getShareServie() {
	// 更新分享服务
	plus.share.getServices(function(s) {
		shares = {};
		for(var i in s) {
			var t = s[i];
			shares[t.id] = t;
		}
	}, function(e) {
		mui.toast("无享服务！");
		console.log("获取分享服务列表失败：" + e.message);
	});

}

/**
 * 分享操作
 * @param {JSON} sb 分享操作对象s.s为分享通道对象(plus.share.ShareService)
 * @param {Boolean} ishref 是否分享链接
 * @param {JSON} msginfo 分享内容
 */

function shareAction(sb, ishref, msginfo) {
	if(!sb || !sb.s) {
		mui.toast("无效的分享服务！");
		return;
	}
	var msg = {
		content: msginfo.content,
		extra: {
			scene: sb.x
		}
	};
	if(ishref) {
		msg.title = msginfo.title;
		msg.href = msginfo.href;
		msg.content = msginfo.content;
		msg.thumbs = [msginfo.pic];
		msg.pictures = [msginfo.pic];
	}
	// 发送分享
	if(sb.s.authenticated) {
		//console.log("---已授权---");
		shareMessage(msg, sb.s);
	} else {
		//console.log("---未授权---");
		sb.s.authorize(function() {
			shareMessage(msg, sb.s);
		}, function(e) {
			//console.log("认证授权失败：" + e.code + " - " + e.message);
		});
	}
}

/**
 * 发送分享消息
 * @param {JSON} msg
 * @param {plus.share.ShareService} s
 */
function shareMessage(msg, s) {
	s.send(
		msg,
		function() {
			var xhr = new plus.net.XMLHttpRequest();
			xhr.onreadystatechange = function() {
				if(xhr.readyState == 4) {
					if(xhr.status == 200) {
						var myDate = new Date();
						var time = myDate.toLocaleString();

						var data = {
							"time": time,
							"uid": uid
						};
						plus.statistic.eventTrig("share", data);
						var data = JSON.parse(xhr.responseText);
						mui.toast("分享到\"" + s.description + "\"成功,VIP增加了 " + data.days + "天");
					} else {
						mui.toast("分享到\"" + s.description + "\"成功！,网络请求失败 ");
					}
				} else {
					//plus.nativeUI.toast('网络请求错误,请稍后再试!');
				}
			}
			xhr.open("GET", "http://lw.yyblue.com/ledong/share/record?user_id=" + uid, true);
			xhr.send();
		},
		function(e) {
			mui.toast("分享到\"" + s.description + "\"失败！ ");
			// console.log("分享到\"" + s.description + "\"失败: " + JSON.stringify(e));
		}
	);
}
/**
 * 分享内容或者链接
 * @param  {JSON} msgdata 分享数据的对象
 * @param  {Boolean} ishref  是否分享链接
 */
 function appshare(msgdata, ishref) {
	// 分享参数
	if(ishref) {
		var msginfo = {
			title: msgdata.title,
			href: msgdata.href,
			content: msgdata.desc,
			pic: msgdata.pic
		};
	} else {
		var msginfo = {
			content: msgdata.desc
		};
	}

	var shareBts = [];
	// 更新分享列表
	var ss = shares['weixin'];
	ss && ss.nativeClient && (shareBts.push({
		title: '微信朋友圈',
		s: ss,
		x: 'WXSceneTimeline'
	}), shareBts.push({
		title: '微信好友',
		s: ss,
		x: 'WXSceneSession'
	}));

	//	ss = shares['qq'];
	//	ss && ss.nativeClient && shareBts.push({
	//		title: 'QQ',
	//		s: ss
	//	});

	if(!ishref) {
		ss = shares['sinaweibo'];
		ss && shareBts.push({
			title: '新浪微博',
			s: ss
		});
	}

	// 弹出分享列表
	shareBts.length > 0 ? plus.nativeUI.actionSheet({
			title: '分享',
			cancel: '取消',
			buttons: shareBts
		},
		function(e) {
			(e.index > 0) && shareAction(shareBts[e.index - 1], ishref, msginfo);
		}
	) : plus.nativeUI.alert('当前环境无法支持分享操作!');
}

//轮播图
function lunbo() {
	var xhr = new plus.net.XMLHttpRequest();
	xhr.onreadystatechange = function() {
		if(xhr.readyState == 4) {
			if(xhr.status == 200) {
				//获取轮播图成功
				var data = JSON.parse(xhr.responseText);
				if(document.getElementById('slider')) {
					document.getElementById('lunbo').removeChild(document.getElementById('slider'));
				}

				if(data) {
					//如果轮播图存在
					var length = data.length - 1;

					var bo_string = '';

					//轮播图最后一张轮播
					var img_string = '<div class="mui-slider-item mui-slider-item-duplicate">' +
						'<a href="#">' +
						'<img src="http://lw.yyblue.com/' + data[length]['pic_url'] + '">' +
						'</a>' +
						'</div>';

					//console.log(data);

					for(var x in data) {
						img_string = img_string + '<div class="mui-slider-item mui-slider-item-duplicate">' +
							'<a href="#">' +
							'<img src="http://lw.yyblue.com/' + data[x]['pic_url'] + '">' +
							'</a>' +
							'</div>';

						if(x == 0) {
							bo_string = bo_string + '<div class="mui-indicator mui-active"></div>';
						} else {
							bo_string = bo_string + '<div class="mui-indicator"></div>';
						}
					}

					img_string = img_string + '<div class="mui-slider-item mui-slider-item-duplicate">' +
						'<a href="#">' +
						'<img src="http://lw.yyblue.com/' + data[0]['pic_url'] + '">' +
						'</a>' +
						'</div>';

					var addString = '<div id="slider" class="mui-slider">' +
						'<div class="mui-slider-group mui-slider-loop">' +
						img_string +
						'</div>' +
						'<div class="mui-slider-indicator">' +
						bo_string +
						'</div>' +
						'</div>';

					$('#lunbo').append(addString);
					mui("#slider").slider();

				} else {
					//如果轮播图不存在

					var string =
						'<div id="slider" class="mui-slider">' +
						'<div class="mui-slider-group mui-slider-loop" id="lun">' +
						'<div class="mui-slider-item mui-slider-item-duplicate">' +
						'<a>' +
						'<img src="images/shuijiao.jpg">' +
						'</a>' +
						'</div>' +
						'</div>' +
						'</div>';

					$('#lunbo').append(string);
					mui("#slider").slider();
				}

			} else {
				
				//如果获取轮播图失败
				var string =
					'<div id="slider" class="mui-slider">' +
					'<div class="mui-slider-group mui-slider-loop" id="lun">' +
					'<div class="mui-slider-item mui-slider-item-duplicate">' +
					'<a>' +
					'<img src="images/shuijiao.jpg">' +
					'</a>' +
					'</div>' +
					'</div>' +
					'</div>';

				$('#lunbo').append(string);
				mui("#slider").slider();
			}

		}
	}
	xhr.open("GET", "http://lw.yyblue.com/ledong/pic/get_img");
	xhr.send();
}

//发送当前手机uuid到后台
function uu() {
	//发送注册数据到后台
	var xhr = new plus.net.XMLHttpRequest();
	xhr.open("POST", "http://lw.yyblue.com/ledong/share/free_vip");
	var data = {
		uuid: uuid
	};
	data = JSON.stringify(data);
	xhr.send(data);
}

function denglu() {
	//获取用户的信息
	var uid = plus.storage.getItem('uid');
	if(uid) {
		return;
	} else {
		plus.webview.open('/login/login.html', 'login.html');
	}
}

//获取用户的手机是android还是ios,然后检查更新
function gengxin() {
	var type = plus.os.name;
	if(type == 'Android') {
		checkUrl = checkUrl + '0';
	} else {
		checkUrl = checkUrl + '1';
	}
	checkUpdate();
}

//获取需要隐藏哪些节点
function getHide() {
	//获取数据			
	var xhr = new plus.net.XMLHttpRequest();
	xhr.onreadystatechange = function() {
		if(xhr.readyState == 4) {

			if(xhr.status == 200) {
				//console.log(xhr.responseText);
				var data = JSON.parse(xhr.responseText);
				if(data != null) {
					if(data['is_pay']) {
						var obj = document.getElementById('chong');
						if(obj) {
							obj.parentNode.removeChild(obj);
						}

						var jihuo = document.getElementById('activate');
						if(jihuo) {
							jihuo.parentNode.removeChild(jihuo);
						}

					}
					if(data['is_share']) {
						var obj = document.getElementById('fenxiang');
						if(obj) {
							obj.parentNode.removeChild(obj);
						}

					}
					//写入是否隐藏解析到本地数据库
					plus.storage.setItem('jiexi', data['is_analysis'] + '');

				} else {
					plus.nativeUI.confirm( "网络请求错误,请检查您的网络后重试！", function(e){
				if(e.index){
					getHide();
				}else{
					getHide();
					}
			});
				}
			}

		}
	}
	xhr.open("GET", "http://lw.yyblue.com/ledong/hide/index");
	xhr.send();
}

//下拉刷新的回调函数
function onRefresh() {
	ws.reload();
	ws.endPullToRefresh();
}
//获取所有的解析地址
function getLine() {
	var xhr = new plus.net.XMLHttpRequest();
	xhr.onreadystatechange = function() {
		if(xhr.readyState == 4) {

			if(xhr.status == 200) {
				var data = JSON.parse(xhr.responseText);
				for(var x in data) {
					var arr = [];
					for(var r in data[x]) {
						arr.push(data[x][r]['url']);
					}
					//console.log(arr);
					switch(x) {
						case '1':
							plus.storage.setItem('mangguo', arr.toString());
							break;
						case '2':
							plus.storage.setItem('leshi', arr.toString());
							break;
						case '3':
							plus.storage.setItem('aiqiyi', arr.toString());
							break;
						case '4':
							plus.storage.setItem('souhu', arr.toString());
							break;
						case '5':
							plus.storage.setItem('youku', arr.toString());
							break;
						case '6':
							plus.storage.setItem('tengxun', arr.toString());
							break;
					}
				}

			} else {
				plus.nativeUI.confirm( "网络请求错误,请检查您的网络后重试！", function(e){
				if(e.index){
					getLine();
				}else{
					getLine();
					}
			});
			}

		}
	}
	xhr.open("GET", "http://lw.yyblue.com/ledong/inter/get_inter_all");
	xhr.send();
}

function wangluoVideo(click_status) {
	//	plus.webview.create('playHelper.html', 'playHelper.html','',{
	//			click_status : click_status
	//	}).show();

	var name = plus.os.name;
	if(name == 'iOS') {
		var webviewStyles = {
			popGesture: 'none',
			statusbar: {
				background: "#FF6666"
			},
			titleNView: {
				autoBackButton: true,
				backgroundColor: '#FF6666',
				progress: {
					color: '#C71585'
				},
				titleText: '乐猫播放器',
			}
		}
	} else {
		var webviewStyles = {
			popGesture: 'none',
			titleNView: {
				autoBackButton: true,
				backgroundColor: '#FF6666',
				progress: {
					color: '#C71585'
				},
				titleText: '乐猫播放器',
			}
		}
	}
	var resolveId = 'playHelper.html';

	plus.webview.create('playHelper.html', resolveId, webviewStyles, {
		click_status: click_status
	}).show();
}
//滚动显示通知公告
(function(win) {
	var callboarTimer;
	var callboard = $('#callboard');
	win.autoAnimation = function() {
		var callboardUl = callboard.find('ul');
		var callboardLi = callboard.find('li');
		var liLen = callboard.find('li').length;
		var initHeight = callboardLi.first().outerHeight(true);
		if(liLen <= 1) return;
		var self = arguments.callee;
		var callboardLiFirst = callboard.find('li').first();
		callboardLiFirst.animate({
			marginTop: -initHeight
		}, 500, function() {
			clearTimeout(callboarTimer);
			callboardLiFirst.appendTo(callboardUl).css({
				marginTop: 0
			});
			callboarTimer = setTimeout(self, 5000);
		});
	}
	callboard.mouseenter(
		function() {
			clearTimeout(callboarTimer);
		}).mouseleave(function() {
		callboarTimer = setTimeout(win.autoAnimation, 5000);
	});
}(window));

function showNotify() {
	var xhr = new plus.net.XMLHttpRequest();
	xhr.onreadystatechange = function() {
		if(xhr.readyState == 4) {
			if(xhr.status == 200) {
				var data = JSON.parse(xhr.responseText);
				var callboard = $('#callboard');
				var callboardUl = callboard.find('ul');
				if(data.length > 0) {
					html = '';
					for(var x in data) {
						html += '<li><p style="color:red;">' + data[x] + '</p></li>';
					}
					callboardUl.empty();
					callboardUl.append(html);
					setTimeout(window.autoAnimation, 5000);

				}
			} else {
				plus.nativeUI.toast('网络请求错误,请稍后再试!');
			}
		}
	}
	xhr.open("GET", "http://lw.yyblue.com/ledong/inter/get_notice");
	xhr.send();
}

//获取服务器系统时间
function getTime(type) {
	var xhr = new plus.net.XMLHttpRequest();
	xhr.onreadystatechange = function() {
		if(xhr.readyState == 4) {
			if(xhr.status == 200) {
				//获取了时间戳,转换成js时间戳
				var time = parseInt(xhr.responseText) * 1000;

				//得到当前用户的vip到期时间时间戳
				var endtime = Date.parse(new Date(plus.storage.getItem('end_time')));

				if(time > endtime) {
					var btnArray = ['否', '是'];
					//已过期
					if(uid) {
						mui.confirm('您的vip已到期,请登录!', '乐猫', btnArray, function(e) {
							if(e.index == 1) {
								//打开登录页
								plus.webview.open('vip_paid.html', 'vip_paid.html');
							}
						})
						return;
					} else {
						mui.confirm('您的vip已到期,请登录!', '乐猫', btnArray, function(e) {
							if(e.index == 1) {
								//打开登录页
								plus.webview.open('/login/login.html', 'login.html');
							}
						})
						return;
					}
				}

				type = parseInt(type);
				//var urls = ['http://m.iqiyi.com/',
				//'http://www.youku.com/','http://m.le.com/','http://tv.sohu.com/'];
				//plus.webview.open(url,url);

				var name = plus.os.name;
				if(name == 'iOS') {
					var style = {
						popGesture: 'none',
						statusbar: {
							background: "#FF6666"
						}
					}
				} else {
					var style = {
						popGesture: 'none',
						//statusbar:{background:"#FF6666"}
					}
				}

				wn = plus.webview.create(urls[type], urls[type], style);
				wn.show('none');
			} else {
				plus.nativeUI.confirm( "网络请求错误,请检查您的网络后重试！", function(e){
				if(e.index){
					getTime();
				}else{
					getTime();
					}
			});
			}
		}
	}
	xhr.open("GET", "http://lw.yyblue.com/ledong/hide/getTime");
	xhr.send();
}


//判断是够是审核期，如果是则显示审核期的内容，如果不是则显示非审核期的内容
function is_check() {
	
				
				
//	var xhr = new plus.net.XMLHttpRequest();
//	xhr.onreadystatechange = function() {
//		if(xhr.readyState == 4) {
//			if(xhr.status == 200) {
//				document.getElementById('check_false').style.display = 'none';
//				document.getElementById('check_true').style.display = 'none';
//				var data = JSON.parse(xhr.responseText);
//				if(data.is_check == 0) {
//					console.log('非审核期');
//					plus.storage.setItem('is_check','0');
//					setNotAudit();
//					document.getElementById('check_false').style.display = 'block';
//					document.getElementById('check_tab_two').style.display = 'block';
//					document.getElementById('check_tab_one').style.display = 'none';
//				} else if(data.is_check == 1) {
//					console.log('审核期');
//					plus.storage.setItem('is_check','1');
//					document.getElementById('check_tab_one').style.display = 'block';
//					document.getElementById('check_tab_two').style.display = 'none';
//					setAudit();
//					if(!document.isloadindex) {
//						$('#check_true_content').load('zhibo/vod_index.html');
//						document.isloadindex = true;
//					}
//					$('#check_true').show();
//				}
//			} else {
//				plus.nativeUI.confirm( "网络请求错误,请检查您的网络后重试！", function(e){
//				if(e.index){
//					is_check();
//				}else{
//					is_check();
//					}
//				});
//			}
//		}
//	}
//	var domain = plus.storage.getItem('domain');
//	var getUrl = "http://" + domain + "/ledong/hide/index";
//	xhr.open("GET", getUrl);
//	xhr.send();
}

//审核期间点击跟多的时候显示跟多视频
function more() {
	document.getElementById('more').style.display = 'block';
}


var count = 0;

//上拉加载更多
function pullupRefresh() {
	if(tab_click == 4) {
		removeVideoElement();
		setTimeout(function() {
			mui('#tabbar-video').pullRefresh().endPullup((++count > 2)); //参数为true代表没有更多数据了。
			getIqiyiVVdata(2, function(num) {
//				mui.toast("为你推荐了" + num + "个视频");
			});
		}, 1500);
	} else if(tab_click == 8){
		removeVideoElement();
		++lemaoPage;
		console.log('hasNextPage:'+hasNextPage);
		setTimeout(function() {
			mui('#tabbar-video').pullRefresh().endPullup(!hasNextPage); //参数为true代表没有更多数据了。
			getLemaoVideoData(2, function(num) {
//				mui.toast("加载了" + num + "个最新视频");
			});
		}, 1500);
	}else{
		mui('#tabbar-video').pullRefresh().endPulldown();
	}
}
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	if(tab_click == 1){
		//首页下拉刷新

		//判断显示审核内容还是非审核内容
		is_check();
		//获取网络状态
		var netWork = plus.networkinfo.getCurrentType();
		switch(netWork) {
			case 0:
				plus.nativeUI.confirm( "您未连接网络,请连接网络后重试！", function(e){
		if(e.index){
			plusReady();	
		}else{
			plusReady();	
		}
	});
				return;
				break;
			case 1:
				plus.nativeUI.confirm( "您未连接网络,请连接网络后重试！", function(e){
		if(e.index){
			plusReady();	
		}else{
			plusReady();	
		}
	});
				return;
				break;
		}
		//getHide();
		//写入数据到数据库
		uu();
		//分享
		getShareServie(); //初始化分享参数
		//获取轮播图
		lunbo();
		//获取解析地址
		getLine();
		//预加载
		plus.webview.prefetchURLs(urls);
		//更新
		gengxin();
		showNotify();
		
		mui('#tabbar-video').pullRefresh().endPulldown();
	}else if(tab_click == 2){
		
		
		
		if(chanel_click == 1){
			document.isloadindex = false;
		if(!document.isloadindex) {
			$('#check_true_content').load('zhibo/vod_index.html');
			document.isloadindex = true;
		}
		
		}else if(chanel_click == 2){
			$('#check_true_content').load('zhibo/vod_movie_list.html');
		}else if(chanel_click == 3){
			$('#check_true_content').load('zhibo/vod_lianxuju_list.html');
		}else if(chanel_click == 4){
			$('#check_true_content').load('zhibo/vod_zongyi_list.html');
		}else if(chanel_click == 5){
			$('#check_true_content').load('zhibo/vod_dongman_list.html');
		}
	mui('#tabbar-video').pullRefresh().endPulldown();
		
	}else if(tab_click == 3){
		document.isloadzhibo = false;
		if(!document.isloadzhibo) {
			console.log('load zhibo');
			$('div.mui-zhibo').load('zhibo/label_tv.html');
			//		console.log('content:'+$('#mui-zhibo'));
			document.isloadzhibo = true;
		}
		mui('#tabbar-video').pullRefresh().endPulldown();
	}else if(tab_click == 4){
		//小视频页下拉刷新
		removeVideoElement();
		setTimeout(function() {
			getIqiyiVVdata(1, function(num) {
				mui('#tabbar-video').pullRefresh().endPulldown();
//				mui.toast("为你推荐了" + num + "个视频");
			});
			
		}, 1500);
		mui('#tabbar-video').pullRefresh().endPulldown();
	}else if(tab_click == 5){
		//我的页下拉刷新

		//获取用户信息
		if(uid) {
			getUser(uid);
		} else {
			getYou();
		}

		mui('#tabbar-video').pullRefresh().endPulldown();
		mui('#tabbar-video').pullRefresh().refresh(true);
	}else if(tab_click == 8){
		//乐猫首页视频刷新
		lemaoPage = 0;//重置页面为1
		hasNextPage = true;
		removeVideoElement();
		setTimeout(function() {
			getLemaoVideoData(1, function(num) {
				mui('#tabbar-video').pullRefresh().endPulldown();
//				mui.toast("为你推荐了" + num + "个最新视频");
			});
			
		}, 1500);
		mui('#tabbar-video').pullRefresh().endPulldown();
		mui('#tabbar-video').pullRefresh().refresh(true);
	}
}
var lemaoPage = 0;
var hasNextPage = true;
//获取乐猫用户上传视频内容
function getLemaoVideoData(type, callback) {
	var xhr = new plus.net.XMLHttpRequest();
//	var xhr = new XMLHttpRequest();
	xhr.onreadystatechange = function() {
		if(xhr.readyState == 4) {
			if(xhr.status == 200) {
				var re = JSON.parse(xhr.responseText);
				console.log('get lemao video data success:' + xhr.responseText);
				if(re.count > 0) {
					var num = re.count; //本次获取到的feeds数量
					if(num < 10){
						hasNextPage = false;
					}else{
						hasNextPage = true;
					}
					console.log('lemao feeds num:' + num);
					var feedList = re.list;
					if(feedList && feedList.length > 0) {
						console.log('lemao feeds length:' + feedList.length);
						var container = $('div.videobox');
						var html = '';
						$.each(feedList, function(i, n) {
							//										var obj = JSON.stringify(n);
							//										console.log('feed list i:'+i+'&&&ele:'+obj);
							html += '<div class="videollist" data-url="' + n.url + '">' +
								'<div class="videotitle">' + n.title + '<span class="mui-icon mui-icon-more-filled"></span></div>' +
								'<div class="video-img">' +
								'<div class="video-poster" style="background-image: url(' + n.thumbnail + ');" poster-data="' + n.thumbnail + '"></div>' +
								'<div class="m-player-tip">' +
								'<div class="loader">' +
								'<div class="loader-inner line-scale">' +
								'<div></div>' +
								'<div></div>' +
								'<div></div>' +
								'<div></div>' +
								'<div></div>' +
								'</div>' +
								'<div class="player-loading-info">正在加载<span style="">，<a href="javascript:;" class="c-link">刷新</a>重试</span></div>' +
								'</div>' +
								'</div>' +
								'</div>' +
								'<div class="video-time">' + n.times + '</div>' +
								'<div class="v-playbtn" vid="'+n.id+'"><span class="mui-icon mui-icon-play"></span></div>' +
								'<div class="video_player">' +
								'<div class="video-holder"></div>' +
								'<div class="video-wrapper">' +

								'</div>' +
								'</div>' +
								'<div class="videoshare"><img src="' + n.headimgurl + '" class="videouser">' +
								'<div class="videousername">' + n.nickname + '</div>' +
								'<div class="video-rightcont"><span class="mui-icon-extra mui-icon-extra mui-icon-extra-heart" vid="'+n.id+'" like-data="'+n.likes+'">   ' + n.likes + '</span><span class="mui-icon-extra mui-icon-extra-share">   ' + n.clicks + '</span></div>' +
								'</div>' +
								'</div>';
						})
						if(type == 1) {
							//下拉刷新
							container.html(html);
						} else {
							//上拉加载
							container.append(html);
						}

						$('div.videobox div.videollist div.v-playbtn').each(function(i, n) {
							$(n).click(function() {
								removeVideoElement(); //清除其它播放元素
								$(this).css('pointer-events', 'none');
								var videoDiv = $(this).parent();
								videoDiv.attr('data-click', 'true');
								videoDiv.addClass('video-loading');
								var vid = $(this).attr('vid');
								video_plays(vid);//更新播放次数
								console.log('this class:' + videoDiv[0].outerHTML);
								var playTipsDiv = videoDiv.find('div.m-player-tip');
								playTipsDiv.find('a.c-link').on('click', function() {
									//重试加载按钮
									playLemaoVideo(videoDiv.attr('data-url'));
								});
								playLemaoVideo(videoDiv.attr('data-url'));
							});
						});
						
						$('div.videobox div.videollist span.mui-icon-extra-heart').each(function(i, n) {
							$(n).click(function() {
								var obj = $(this);
								var vid = $(this).attr('vid');
								var oldLikeCount = parseInt(obj.attr('like-data'));
								var newLikes= ++oldLikeCount;
								console.log('video like event,vid='+vid);
								video_like(vid,uid,function(code){
									if(code == 1){
										obj.html('   '+newLikes);
										obj.attr('like-data',newLikes);
									}
								});
							});
						});
						
						callback(num);
					}
				}
			} else {
				mui.alert('网络请求错误！', '乐猫');
				codeStatus = true;
			}

		}
	}
	var dataUrl = 'http://lw.yyblue.com/ledong/uploadvideo/select?page='+lemaoPage; //
	xhr.open("GET", dataUrl);
	xhr.send();
}
//点赞视频
function video_like(vid,uid,callback){
	var xhr = new plus.net.XMLHttpRequest();
	xhr.onreadystatechange = function() {
		if(xhr.readyState == 4) {
			if(xhr.status == 200) {
				var data = JSON.parse(xhr.responseText);
						console.log('xhr.responseText:'+xhr.responseText);
				if(data.code == 200){
					mui.toast('视频点赞成功');
					callback(1);
				}else if(data.code == 202){
					mui.toast('已为该视频点赞');
					callback(2);
				}else{
					mui.toast('视频点赞失败:'+xhr.responseText);
					callback(0);
				}
			} else {
				plus.nativeUI.toast('网络请求错误,请稍后再试!');
			}
		}
	}
	var url = "http://lw.yyblue.com/ledong/uploadvideo/likes?uid="+uid+"&vid="+vid;
	xhr.open("GET", url);
	xhr.send();
}

//更新视频播放次数
function video_plays(vid){
	var xhr = new plus.net.XMLHttpRequest();
	xhr.onreadystatechange = function() {
		if(xhr.readyState == 4) {
			if(xhr.status == 200) {
				var data = JSON.parse(xhr.responseText);
				if(data.code == 200){
//					mui.toast('视频播放次数更新成功');
				}else if(data.code == 201){
//					mui.toast('视频播放次数更新失败：'+xhr.responseText);
				}
			} else {
				plus.nativeUI.toast('网络请求错误,请稍后再试!');
			}
		}
	}
	var url = "http://lw.yyblue.com/ledong/uploadvideo/click?id="+vid;
	xhr.open("GET", url);
	xhr.send();
}

function getIqiyiVVdata(type, callback) {
	//发送验证码
//	var xhr = new plus.net.XMLHttpRequest();
					var xhr = new XMLHttpRequest();
	xhr.onreadystatechange = function() {
		if(xhr.readyState == 4) {
			if(xhr.status == 200) {
				var re = JSON.parse(xhr.responseText);
				console.log('get data success:' + xhr.responseText);
				if(re.code == 'A00000') {
					var num = re.data.num; //本次获取到的feeds数量
					var timestamp = re.data.timestamp; //返回的时间戳
					console.log('feeds num:' + num);
					var feedList = re.data.feeds;
					if(feedList && feedList.length > 0) {
						console.log('feeds length:' + feedList.length);
						var container = $('div.videobox');
						var html = '';
						$.each(feedList, function(i, n) {
							//										var obj = JSON.stringify(n);
							//										console.log('feed list i:'+i+'&&&ele:'+obj);
							html += '<div class="videollist" data-url="' + n.videoPlayUrl + '">' +
								'<div class="videotitle">' + n.tvTitle + '<span class="mui-icon mui-icon-more-filled"></span></div>' +
								'<div class="video-img">' +
								'<div class="video-poster" style="background-image: url(' + n.thumbnail + ');" poster-data="' + n.thumbnail + '"></div>' +
								'<div class="m-player-tip">' +
								'<div class="loader">' +
								'<div class="loader-inner line-scale">' +
								'<div></div>' +
								'<div></div>' +
								'<div></div>' +
								'<div></div>' +
								'<div></div>' +
								'</div>' +
								'<div class="player-loading-info">正在加载<span style="">，<a href="javascript:;" class="c-link">刷新</a>重试</span></div>' +
								'</div>' +
								'</div>' +
								'</div>' +
								'<div class="video-time">' + n.duration + '</div>' +
								'<div class="v-playbtn"><span class="mui-icon mui-icon-play"></span></div>' +
								'<div class="video_player">' +
								'<div class="video-holder"></div>' +
								'<div class="video-wrapper">' +

								'</div>' +
								'</div>' +
								'<div class="videoshare"><img src="' + n.icon + '" class="videouser">' +
								'<div class="videousername">' + n.name + '</div>' +
								'<div class="video-rightcont"><span class="mui-icon mui-icon-eye">' + n.playCount + '</span><span class="mui-icon-extra mui-icon-extra-share"></span></div>' +
								'</div>' +
								'</div>';
						})
						if(type == 1) {
							//下拉刷新
							container.html(html);
						} else {
							//上拉加载
							container.append(html);
						}

						$('div.videobox div.videollist div.v-playbtn').each(function(i, n) {
							$(n).click(function() {
								removeVideoElement(); //清除其它播放元素
								$(this).css('pointer-events', 'none');
								var videoDiv = $(this).parent();
								videoDiv.attr('data-click', 'true');
								videoDiv.addClass('video-loading');
								console.log('this class:' + videoDiv[0].outerHTML);
								var playTipsDiv = videoDiv.find('div.m-player-tip');
								playTipsDiv.find('a.c-link').on('click', function() {
									//重试加载按钮
									handleWebviewVideo(videoDiv.attr('data-url'));
								});
								handleWebviewVideo(videoDiv.attr('data-url'));
							});
						});
						callback(num);
					}
				}
			} else {
				mui.alert('网络请求错误！', '乐猫');
				codeStatus = true;
			}

		}
	}
	var dataUrl = 'http://pub.m.iqiyi.com/h5/bubble/hotFeeds.json'; //爱奇艺小视频json数据获取链接
	xhr.open("GET", dataUrl);
	xhr.send();
}
var mianWebviewId, ws, videoWebview, mPlayer;
mui.plusReady(function() {
	ws = plus.webview.currentWebview();
})
function playLemaoVideo(videoUrl){
	//<video src="http://cache.m.iqiyi.com/mus/11260491409/b79313952f7d84fc28f3814ed963f8fa/afbe8fd3d73448c9//20180114/06/55/a716127ba08287791a11fc0c2de40b48.m3u8?qd_originate=tmts_py&amp;tvid=11260491409&amp;bossStatus=0&amp;qd_vip=0&amp;px=&amp;qd_src=2_20_201&amp;prv=&amp;previewType=&amp;previewTime=&amp;from=&amp;qd_time=1518166058308&amp;qd_p=015b60ae&amp;qd_asc=23023a02f3e98ac78bd4af69c935783a&amp;qypid=11260491409_04000000001000000000_2&amp;qd_k=753d6de5e8b5ac0948e079d1feb8e921&amp;isdol=0&amp;code=2&amp;sgti=12_5ef3c3488d58127b0a9d62eb8616abea_1518166057&amp;vf=235c6eb15fbbda7bdca69550aab89ea2&amp;np_tag=nginx_part_tag" playsinline="" webkit-playsinline="" controls="controls" width="auto" height="100%"></video>
	
	var videoData = '<video src="'+videoUrl+'" playsinline="" webkit-playsinline="" controls="controls" width="auto" height="100%"></video>'
	setTimeout(function () {
    	onSubwebviewPushVideoData(videoData);
 	}, 150);
	
}

function handleWebviewVideo(url) {
	console.log('handleWebviewVideo url:' + url);
	plus.navigator.setUserAgent("Mozilla/5.0 (iPhone; CPU iPhone OS 9_1 like Mac OS X) AppleWebKit/601.1.46 (KHTML, like Gecko) Version/9.0 Mobile/13B143 Safari/601.1");
//	var jiexiUrl = 'http://ckmov.yyblue.com/ckmov/index.php?url='+url;
	var jiexiUrl = 'http://flv.yyblue.com/index.php?url=' + url;
	var webviewId = 'iqiyi_vv_webviewid';
	var mianWebviewId = ws.id;
	if(videoWebview) { // 避免快速多次点击创建多个窗口
		videoWebview.loadURL(jiexiUrl);
	} else {
		videoWebview = plus.webview.create(jiexiUrl, webviewId, {
			background: 'transparent',
			zindex: 10,
		});
		videoWebview.setJsFile('_www/js/iqiyi_vv_video.js');
	}
	//	    videoWebview.show();
}
//用户重新点击另外的视频播放时触发
function removeVideoElement() {
	var click_li = $('div.videobox').find('div[data-click="true"]');
//	console.log(click_li.index());
	if(click_li.length > 0) {
//		console.log('remove div:' + click_li.html());
		//			click_li.find('div.video_player').children().each(function(){
		//				console.log('remove div:'+$(this).html());
		//				$(this).remove();
		//			});//删除video节点
		click_li.addClass('video-loading')
		click_li.removeClass('video-loaded');
		click_li.removeClass('video-loading');
		click_li.find('div.video-wrapper').empty();
//		console.log('remove video_player:' + click_li.html());
		click_li.removeAttr('data-click'); //去掉选中div的状态
		click_li.find('div.v-playbtn').css('pointer-events', 'auto'); //重置播放按钮可点击
	}

}
//子webview成功获取到video数据
function onSubwebviewPushVideoData(videoData) {
	var videoHtml = unescape(videoData);
	video = $(videoHtml);
	if(video && video.length > 0) {
		/*设置video属性*/
		video.attr('id', 'vv_video');
		var sourceUri = video.attr('src');
		//添加兼容代码
		//  /app.php?scheme=http&host=try.ri-so.......
		var reg = /\/app\.php/g;
		if(reg.test(sourceUri)) {
			sourceUri = 'http://flv.yyblue.com'+sourceUri;
			video.attr('src',sourceUri);
		}
		video.removeAttr('controls');
		video.attr('autoplay', true);
		video.attr('preload', 'auto');
		video.removeAttr('height');
		//			
		video.attr('x-webkit-airplay', 'allow');
		video.css('background-color', '#000');
		video.attr('width', '100%');
		/*视频组件样式开关*/
//		console.log('onSubwebviewPushVideoData:' + video[0].outerHTML);
		var click_li = $('div.videobox').find('div[data-click="true"]');
//		console.log('click_div:' + video[0].outerHTML);
		click_li.removeClass('video-loading');
		click_li.addClass('video-loaded');
		var poster_url = click_li.find('div.video-poster').attr('poster-data'); //封面图片路径
		video.attr('poster', poster_url);
		var mTitle = click_li.find('div.videotitle');
		click_li.find('div.video-wrapper').prepend(video); //添加video到对应的div
//		console.log('click_li:' + click_li[0].outerHTML);
		/*添加video控制代码*/
		//设置全屏横屏播放
		var osName = plus.os.name;
		if(osName === 'Android') {
			fullScreenOfAndroid();
		} else {
			fullScreenOfIos(video[0]);
		}
		/*播放器初始化*/
		initH5Player(mTitle.text(), video);
	}
}

function initH5Player(mTitle, video) {
	zymedia('#' + video.attr('id'), {
		autoplay: true,
		mediaTitle: mTitle,
		hideVideoControlsOnLoad: true,
		success: function() {
			console.log('video success');
			video[0].play();
		}
	});
	//  var screenheight = window.screen.height/2;
	//  $("#modelView").width(window.screen.width);
	//  $("#modelView").height(window.screen.height);
	//  var videoheight = $(".zy_media").height()/2;
	//  var padding_top = screenheight-videoheight;
	//  $(".playvideo").css({"top":padding_top});
	//  $("#modelView").css({"margin-top":-1*(padding_top+$(".zy_media").height())});
}
//对页面滚动条滚动的监听：要放在页面加载的时候
var video;
$(window).scroll(function(event) {
	if(video && video.length > 0) {
		var re = ($(window).scrollTop() > ($(video).offset().top + $(video).outerHeight())) || $(video).scrollTop() < ($(video).offset().top - $(window).height())
		//			if(re){
		//				video[0].pause();
		//			}else{
		//				video[0].play()
		//			}
	}
});

function embedLoading() {
	removeVideoElement();
}
/*
 * 将秒数格式化时间
 * @param {Number} seconds: 整数类型的秒数
 * @return {String} time: 格式化之后的时间
 */
function formatTime(seconds) {
	var min = Math.floor(seconds / 60),
		second = seconds % 60,
		hour, newMin, time;

	if(min > 60) {
		hour = Math.floor(min / 60);
		newMin = min % 60;
	}

	if(second < 10) {
		second = '0' + second;
	}
	if(min < 10) {
		min = '0' + min;
	}

	return time = hour ? (hour + ':' + newMin + ':' + second) : (min + ':' + second);
}

function fullScreenOfAndroid() {
	if(true) {
		// 最新5+API的支持
		var self = plus.webview.currentWebview();
		self.setStyle({
			videoFullscreen: 'landscape'
		});
	} else {
		// 如果暂未更新sdk，可以先使用差量升级等方式，做出兼容处理；
		// 旧版本下的兼容处理
		document.addEventListener('webkitfullscreenchange', function() {
			var el = document.webkitFullscreenElement; //获取全屏元素
			if(el) {
				plus.screen.lockOrientation('landscape'); //锁死屏幕方向为横屏
			} else {
				plus.screen.lockOrientation('portrait'); //解除屏幕方向的锁定
			}
		});
	}
};

// iOS平台的视频全屏旋转
function fullScreenOfIos(videoElem) {
	console.log('fullScreenOfIos');
	// 监听的事件与Android平台有很大区别
	videoElem.addEventListener('webkitbeginfullscreen', function() {
		plus.screen.lockOrientation('landscape'); //锁死屏幕方向为横屏
	});
	videoElem.addEventListener('webkitendfullscreen', function() {
		plus.screen.lockOrientation('portrait'); //解除屏幕方向的锁定
	});
};

function fullscreenEnable() {
	var isFullscreen = document.fullscreenEnabled ||
		window.fullScreen ||
		document.webkitIsFullScreen ||
		document.msFullscreenEnabled;
	//注意：要在用户授权全屏后才能准确获取当前的状态
	if(isFullscreen) {
		console.log('全屏模式');
	} else {
		console.log('非全屏模式');
	}
	return isFullscreen;

}
var launchFullScreen = function(element) {
	console.log('full screen');
	if(element.requestFullscreen) {
		element.requestFullscreen();
	} else if(element.mozRequestFullScreen) {
		element.mozRequestFullScreen();
	} else if(element.webkitRequestFullscreen) {
		element.webkitRequestFullscreen();
	} else if(element.msRequestFullscreen) {
		element.msRequestFullscreen();
	}
	document.IsFullScreen = true;
}
var exitFullScreen = function(element) {
	console.log('exit screen');
	if(document.exitFullscreen) {
		document.exitFullscreen();
	} else if(document.msExitFullscreen) {
		document.msExitFullscreen();
	} else if(document.mozCancelFullScreen) {
		document.mozCancelFullScreen();
	} else if(document.oRequestFullscreen) {
		document.oCancelFullScreen();
	} else if(document.webkitExitFullscreen) {
		document.webkitExitFullscreen();
	}
	document.IsFullScreen = false;
}

function getDataIsHome() {
	var xhr = new XMLHttpRequest();
	xhr.onreadystatechange = function() {
		if(xhr.readyState == 4) {
			if(xhr.status == 200) {
				var data = JSON.parse(xhr.responseText);
				//热门推荐
				hotRecommend(data);
				//热门电影
				hotMovie(data);
				//同步剧场
				sTheater(data);
				//劲爆综艺
				hotVariety(data);
				//热门动漫
				hotCartoon(data);
				//最近更新
				newset(data);
			} else {
				plus.nativeUI.toast('网络请求错误');
			}
			
		}
	}
//	var domain = plus.storage.getItem('domain');
	var domain = 'lw.yyblue.com';
	var url = "http://" + domain + "/ledong/apple/index"
	xhr.open("GET", url);
	xhr.send();
}

//热门推荐数据显示
function hotRecommend(data) {
	//热门推荐
	var hotString = '';
	for(var i in data['hotRecommend']) {
		
		var row = JSON.stringify(data['hotRecommend'][i]).replace(/\"/g, "'");
		var info = '<li class="item">' +
			'<a class="item-link" onclick="clickAccess(' + row + ')">' +
			'<div class="item-pic" data-echo="' + data['hotRecommend'][i]['d_pic'] + '" style="height: auto;' +
			'background-image: url(' + data['hotRecommend'][i]['d_pic'] + ');">' +
			'<img onerror="this.src=\'zhibo/images/nopic.gif\'" src="zhibo/images/nopic.gif" style="height: auto;">' +
			'</div><span class="covericon">热播中</span></a>' +
			'<a  class="item-info">' +
			'<span class="sTit">' + data['hotRecommend'][i]['d_content'] + '</span>' +
			'<span class="sDes">' + data['hotRecommend'][i]['d_remarks'] + '</span>' +
			'</a>' +
			' </li>';
		hotString = hotString + info;

	}
	$('#hot').append(hotString);
}

//热播影院数据显示
function hotMovie(data) {
	var hotString = '';
	for(var i in data['hotMovie']) {
		var row = JSON.stringify(data['hotMovie'][i]).replace(/\"/g, "'");
		var info = '<li class="item" onclick="clickAccess(' + row + ')">\n' +
			'    <a  class="item-link">\n' +
			'        <div class="item-pic" style="height: auto; background-image: url(' + data['hotMovie'][i]['d_pic'] + ')" data-echo="' + data['hotMovie'][i]['d_pic'] + '">\n' +
			'            <img onerror="this.src=\'zhibo/images/nopic.gif\'" src="zhibo/images/nopic.gif" style="height:auto;">\n' +
			'        </div>\n' +
			'        <span class="covericon">热播中</span>\n' +
			'        <span class="sBottom" style="display:none;"><span>HD高清</span></span>\n' +
			'    </a>\n' +
			'    <a  class="item-info">\n' +
			'        <span class="sTit">' + data['hotMovie'][i]['d_name'] + '</span>\n' +
			'        <span class="sDes"><span style="font-size:12px">' + data['hotMovie'][i]['d_content'] + '</span> </span>\n' +
			'\n' +
			'    </a>\n' +
			'</li>';
		hotString = hotString + info;

	}
	$('#hotMovie').append(hotString);
}

//同步剧场
function sTheater(data) {
	var hotString = '';
	for(var i in data['sTheater']) {
		var row = JSON.stringify(data['sTheater'][i]).replace(/\"/g, "'");
		var info = '<li class="item" onclick="clickAccess(' + row + ')">\n' +
			'\t\t\t\t\t\t<a  class="item-link">\n' +
			'\t\t\t\t\t\t\t<div class="item-pic" style="height: auto; background-image: url(&quot;' + data['sTheater'][i]['d_pic'] + '&quot;);" data-echo="' + data['sTheater'][i]['d_pic'] + '">\n' +
			'\t\t\t\t\t\t\t\t<img onerror="this.src=\'zhibo/images/nopic.gif\'" src="zhibo/images/nopic.gif" style="height:auto;">\n' +
			'\t\t\t\t\t\t\t</div><span class="covericon">热播中</span>\n' +
			'\t\t\t\t\t\t<span class="covericon">热播中</span>\n' +
			'\t\t\t\t\t\t\t<span class="sBottom"><span><span st&hellip;="" <="" span=""></span> \n' +
			'\t\t\t\t\t\t</span></span></a>\n' +
			'\t\t\t\t\t\t<a  class="item-info">\n' +
			'\t\t\t\t\t\t\t<span class="sTit">' + data['sTheater'][i]['d_name'] + '</span>\n' +
			'\t\t\t\t\t\t\t<span class="sDes">' + data['sTheater'][i]['d_remarks'] + '</span>\n' +
			'\n' +
			'\t\t\t\t\t\t</a>\n' +
			'\t\t\t\t\t</li>';
		hotString = hotString + info;

	}
	$('#sTheater').append(hotString);
}

//热门综艺
function hotVariety(data) {
	var hotString = '';
	for(var i in data['hotVariety']) {

		var row = JSON.stringify(data['hotVariety'][i]).replace(/\"/g, "'");

		var info = '<li class="item" onclick="clickAccess(' + row + ')">\n' +
			'\t\t\t\t\t\t<a  class="item-link">\n' +
			'\t\t\t\t\t\t\t<div class="item-pic" style="height: auto; background-image: url(&quot;' + data['hotVariety'][i]['d_pic'] + '&quot;);" data-echo="' + data['hotVariety'][i]['d_pic'] + '">\n' +
			'\t\t\t\t\t\t\t\t<img onerror="this.src=\'zhibo/images/nopic.gif\'" src="zhibo/images/nopic.gif" style="height:auto;">\n' +
			'\t\t\t\t\t\t\t</div><span class="covericon">热播中</span>\n' +
			'\t\t\t\t\t\t<span class="covericon">热播中</span>\n' +
			'\t\t\t\t\t\t\t<span class="sBottom"><span><span st&hellip;="" <="" span=""></span> \n' +
			'\t\t\t\t\t\t</span></span></a>\n' +
			'\t\t\t\t\t\t<a  class="item-info">\n' +
			'\t\t\t\t\t\t\t<span class="sTit">' + data['hotVariety'][i]['d_name'] + '</span>\n' +

			'\t\t\t\t\t\t\t<span class="sDes">' + data['hotVariety'][i]['d_remarks'] + '</span>\n' +
			'\n' +
			'\t\t\t\t\t\t</a>\n' +
			'\t\t\t\t\t</li>';
		hotString = hotString + info;

	}

	$('#hotVariety').append(hotString);
}

//热播动漫
function hotCartoon(data) {

	var hotString = '';
	for(var i in data['hotCartoon']) {

		var row = JSON.stringify(data['hotCartoon'][i]).replace(/\"/g, "'");

		var info = '<li class="item" onclick="clickAccess(' + row + ')">\n' +
			'\t\t\t\t\t\t<a  class="item-link">\n' +
			'\t\t\t\t\t\t\t<div class="item-pic" style="height:auto; background-image: url(&quot;' + data['hotCartoon'][i]['d_pic'] + '&quot;);" data-echo="' + data['hotCartoon'][i]['d_pic'] + '">\n' +
			'\t\t\t\t\t<img onerror="this.src=\'zhibo/images/nopic.gif\'" src="zhibo/images/nopic.gif" style="height:auto;">\n' +
			'\t\t\t\t\t\t\t</div><span class="covericon">热播中</span>\n' +
			'\t\t\t\t\t\t<span class="covericon">热播中</span>\n' +
			'\t\t\t\t\t\t\t<span class="sBottom"><span>' + data['hotCartoon'][i]['d_remarks'] + '</span></span>\n' +
			'\t\t\t\t\t\t</a>\n' +
			'\t\t\t\t\t\t<a  class="item-info">\n' +
			'\t\t\t\t\t\t\t<span class="sTit">' + data['hotCartoon'][i]['d_name'] + '</span>\n' +
			'\t\t\t\t\t\t\t<span class="sDes"><span style="font-size:12px;">' + data['hotCartoon'][i]['d_content'] + '</span> </span>\n' +
			'\n' +
			'\t\t\t\t\t\t</a>\n' +
			'\t\t\t\t\t</li>\n' +
			'\t\t\t\t\t';
		hotString = hotString + info;

	}
	$('#hotCartoon').append(hotString);
}

//最近更新显示

function newset(data){
	var hotString = '';
	for(var i in data['newest']) {
		
		var row = JSON.stringify(data['newest'][i]).replace(/\"/g, "'");

		var info = '<li class="item" onclick="clickAccess(' + row + ')">\n' +
			'\t\t\t\t\t\t<a  class="item-link">\n' +
			'\t\t\t\t\t\t\t<div class="item-pic" style="height:auto; background-image: url(&quot;' + data['newest'][i]['d_pic'] + '&quot;);" data-echo="' + data['newest'][i]['d_pic'] + '">\n' +
			'\t\t\t\t\t<img onerror="this.src=\'zhibo/images/nopic.gif\'" src="zhibo/images/nopic.gif" style="height:auto;">\n' +
			'\t\t\t\t\t\t\t</div><span class="covericon">热播中</span>\n' +
			'\t\t\t\t\t\t<span class="covericon">热播中</span>\n' +
			'\t\t\t\t\t\t\t<span class="sBottom"><span>' + data['newest'][i]['d_remarks'] + '</span></span>\n' +
			'\t\t\t\t\t\t</a>\n' +
			'\t\t\t\t\t\t<a  class="item-info">\n' +
			'\t\t\t\t\t\t\t<span class="sTit">' + data['newest'][i]['d_name'] + '</span>\n' +
			'\t\t\t\t\t\t\t<span class="sDes"><span style="font-size:12px;">' + data['newest'][i]['d_content'] + '</span> </span>\n' +
			'\n' +
			'\t\t\t\t\t\t</a>\n' +
			'\t\t\t\t\t</li>\n' +
			'\t\t\t\t\t';
		hotString = hotString + info;

	}
	$('#newest').append(hotString);
}

//首页推荐影视点击进入详情事件,d_id为影片在数据库中的id,d_year年份，d_starring演员,d_directed导演,d_content详情
function clickAccess(d_data) {
	plus.webview.create('zhibo/vod_detail.html', 'vod_detail.html', {
		videoFullscreen: 'auto'
	}, {
		d_data: d_data
	}).show();
}

//更多影片点击事件
function moreVideo(chanel) {
	//获取导航
	var lis = $('#nav_chanel>ul>li');
	$(lis[0]).removeClass('active');
	$(lis[chanel - 1]).addClass('active');
	$('body,html').animate({
		scrollTop: 0
	}, 1000);
	if(chanel == 1) {
		//首页
		$('#check_true_content').load('zhibo/vod_index.html');
	} else if(chanel == 2) {
		//电影
		$('#check_true_content').load('zhibo/vod_movie_list.html');
	} else if(chanel == 3) {
		//电视剧
		$('#check_true_content').load('zhibo/vod_lianxuju_list.html');
	} else if(chanel == 4) {
		//综艺
		$('#check_true_content').load('zhibo/vod_zongyi_list.html');
	} else if(chanel == 5) {
		//动漫
		$('#check_true_content').load('zhibo/vod_dongman_list.html');
	}
}

//底部导航栏点击事件
//底部导航的点击状态，默认为首页的点击为1,小视频的为2，我的为3
var tab_click ;
//设置底部导航栏非审核期点击事件
function setNotAudit() {
	console.log('setNotAudit');
	tab_click = 2;
	//首页点击事件
	document.getElementById('home').addEventListener('tap', function() {
		console.log('home click');
		tab_click = 1;
		document.getElementById('tabbar-video').style.display = 'none';
		document.getElementById('tabbar-with-map').style.display = 'none';
		document.getElementById('tabbar-zhibo').style.display = 'none';
		document.getElementById('check_true').style.display = 'none';
		document.getElementById('check_false').style.display = 'block';

	});
	//影视点击事件
	document.getElementById('movie').addEventListener('tap', function() {
		tab_click = 2;
		document.getElementById('tabbar-video').style.display = 'none';
		document.getElementById('tabbar-with-map').style.display = 'none';
		document.getElementById('tabbar-zhibo').style.display = 'none';
		document.getElementById('check_true').style.display = 'block';
		document.getElementById('check_false').style.display = 'none';
		if(!document.isloadindex) {
			$('#check_true_content').load('zhibo/vod_index.html');
			document.isloadindex = true;
		}
	});
//	//直播点击事件
//	document.getElementById('zhibo').addEventListener('tap', function() {
//		tab_click = 3;
//		document.getElementById('tabbar-video').style.display = 'none';
//		document.getElementById('tabbar-with-map').style.display = 'none';
//		document.getElementById('tabbar-zhibo').style.display = 'block';
//		document.getElementById('check_true').style.display = 'none';
//		document.getElementById('check_false').style.display = 'none';
//		if(!document.isloadzhibo) {
//			console.log('load zhibo');
//			$('div.mui-zhibo').load('zhibo/label_tv.html');
//			//		console.log('content:'+$('#mui-zhibo'));
//			document.isloadzhibo = true;
//		}
//	});


	//小视频点击事件
	document.getElementById('small_video').addEventListener('tap', function() {
		console.log('small_video click');
		tab_click = 8;
		$('#nav_shequ li').each(function(i, n) {
				if($(n).hasClass('active')){//判断加载上传视频&小视频
					var type = $(n).find('a').attr('chanel-type');
					if(type == 1){
						tab_click = 8;
					}else if(type == 2){
						tab_click = 4;
					}
				}
		});
		
		document.getElementById('tabbar-video').style.display = 'block';
		document.getElementById('tabbar-with-map').style.display = 'none';
		document.getElementById('tabbar-zhibo').style.display = 'none';
		document.getElementById('check_true').style.display = 'none';
		document.getElementById('check_false').style.display = 'none';
		
		
		
		
	});
	//我的mine点击事件
	document.getElementById('mine').addEventListener('tap', function() {
		tab_click = 5;
		document.getElementById('tabbar-video').style.display = 'none';
		document.getElementById('tabbar-with-map').style.display = 'block';
		document.getElementById('tabbar-zhibo').style.display = 'none';
		document.getElementById('check_true').style.display = 'none';
		document.getElementById('check_false').style.display = 'none';
	});
}

//设置审核期底部导航栏点击事件
function setAudit(){
	console.log('setAudit');
	tab_click = 2;
	//首页点击事件
	document.getElementById('home_audit').addEventListener('tap', function() {
		tab_click = 2;
		document.getElementById('tabbar-video').style.display = 'none';
		document.getElementById('tabbar-with-map').style.display = 'none';
		document.getElementById('tabbar-zhibo').style.display = 'none';
		document.getElementById('check_true').style.display = 'block';
	});
//	document.getElementById('zhibo_audit').addEventListener('tap', function() {
//		tab_click = 3;
//		document.getElementById('tabbar-video').style.display = 'none';
//		document.getElementById('tabbar-with-map').style.display = 'none';
//		document.getElementById('tabbar-zhibo').style.display = 'block';
//		document.getElementById('check_true').style.display = 'none';
//		if(!document.isloadzhibo) {
//			console.log('load zhibo');
//			$('div.mui-zhibo').load('zhibo/label_tv.html');
//			//		console.log('content:'+$('#mui-zhibo'));
//			document.isloadzhibo = true;
//		}
//	});
	document.getElementById('small_video_audit').addEventListener('tap', function() {
		tab_click = 4;
		document.getElementById('tabbar-video').style.display = 'block';
		document.getElementById('tabbar-with-map').style.display = 'none';
		document.getElementById('tabbar-zhibo').style.display = 'none';
		document.getElementById('check_true').style.display = 'none';
	});
	document.getElementById('mine_audit').addEventListener('tap', function() {
		tab_click = 5;
		document.getElementById('tabbar-video').style.display = 'none';
		document.getElementById('tabbar-with-map').style.display = 'block';
		document.getElementById('tabbar-zhibo').style.display = 'none';
		document.getElementById('check_true').style.display = 'none';
	});
}

function mine_uploadvideo(){
	var name = plus.os.name;
	if(name == 'iOS') {
		var webviewStyles = {
			popGesture: 'none',
			statusbar: {
				background: "#FF6666"
			},
			titleNView: {
				autoBackButton: true,
				backgroundColor: '#FF6666',
				progress: {
					color: '#C71585'
				},
				titleText: '我的视频',
			}
		}
	} else {
		var webviewStyles = {
			popGesture: 'none',
			titleNView: {
				autoBackButton: true,
				backgroundColor: '#FF6666',
				progress: {
					color: '#C71585'
				},
				titleText: '我的视频',
			}
		}
	}
	var webviewid= 'mine_upload.html';

	plus.webview.create('uploadvideo/mine_upload.html', webviewid, webviewStyles).show();
	
}


function mine_collect(){
	//	plus.webview.create('playHelper.html', 'playHelper.html','',{
	//			click_status : click_status
	//	}).show();

	var name = plus.os.name;
	if(name == 'iOS') {
		var webviewStyles = {
			popGesture: 'none',
			statusbar: {
				background: "#FF6666"
			},
			titleNView: {
				autoBackButton: true,
				backgroundColor: '#FF6666',
				progress: {
					color: '#C71585'
				},
				titleText: '我的收藏',
			}
		}
	} else {
		var webviewStyles = {
			popGesture: 'none',
			titleNView: {
				autoBackButton: true,
				backgroundColor: '#FF6666',
				progress: {
					color: '#C71585'
				},
				titleText: '我的收藏',
			}
		}
	}
	var resolveId = 'mine_collect.html';

	plus.webview.create('mine_collect.html', resolveId, webviewStyles).show();
	
}
