var codeStatus = true;
//获取验证码的点击事件
function getCode() {

	if(!codeStatus) {
		return;
	}

	codeStatus = false;

	//获取手机号
	var tel = document.getElementById('tel').value;
	//验证是否是手机号码
	var reg = /^1[3|4|5|7|8][0-9]{9}$/;
	var flag = reg.test(tel); //true
	if(!flag) {
		mui.alert('请输入正确的手机号码！', '乐猫');
		//alert('请输入正确的手机号码!');
		return;
	}

	//发送验证码
	var xhr = new plus.net.XMLHttpRequest();
	xhr.onreadystatechange = function() {
		if(xhr.readyState == 4) {

			if(xhr.status == 200) {

				var result = JSON.parse(xhr.responseText);
				if(result != null && result.code == 400) {
					mui.alert('系统错误！', '乐猫');
					//alert('数据不存在!');
				} else if(result != null && result.code == 200) {
					mui.alert('验证码发送成功!', '乐猫');
					//alert('验证码发送成功!');

					//改变发送验证码的按钮
					var sendObject = document.getElementById('send');

					var s = 60;
					//倒计时

					var intervalId = setInterval(function() {
						sendObject.innerHTML = s + 's';
						s--;
						if(s < 0) {
							clearInterval(intervalId);
							sendObject.innerHTML = '发送验证码';
							codeStatus = true;
						}
					}, 1000);

				} else if(result != null && result.code == 600) {
					mui.alert('手机号格式不正确!', '乐猫');
					codeStatus = true;
				} else if(result != null && result.code == 302) {
					mui.alert('验证码发送失败！', '乐猫');
					//alert('验证码发送失败,请稍后再试!');
					codeStatus = true;
				} else if(result != null && result.code == 300) {
					mui.alert('该手机号已经被注册!', '乐猫');
					codeStatus = true;
				}

			} else {
				mui.alert('网络请求错误！', '乐猫');
				codeStatus = true;
			}

		}
	}

	xhr.open("POST", "http://lw.yyblue.com/ledong/login/SendCodeApi");
	var data = {
		tel: tel,
		uuid: uuid,
		status: 0
	};
	data = JSON.stringify(data);
	xhr.send(data);
}

function tiaozhuan() {
	plus.webview.open('/index.html', 'index.html');
	plus.webview.currentWebview().close();
}


var registerStatus = true;

//注册按钮点击事件
function register(){
	
	if(!registerStatus){
		return;
	}
	
	registerStatus = false;
	
	//获取手机号
	var tel = document.getElementById('tel').value;
	//验证是否是手机号码
	var reg = /^1[3|4|5|7|8][0-9]{9}$/;
	var flag = reg.test(tel); //true
	if(!flag){
		 mui.alert('请输入正确的手机号码！', '乐猫'); 
		//alert('请输入正确的手机号码!');
		registerStatus = true;
		return;
	}
	
	//获的取验证码
	var code =  document.getElementById('code').value;
	if(!code){
		 mui.alert('请输入验证码！', '乐猫'); 
		//alert('请输入验证码!');
		registerStatus = true;
		return;
	}
	
	//获取用户的uid
	var openid = plus.storage.getItem("openid");
	
	
	//发送注册数据到后台
	var xhr = new plus.net.XMLHttpRequest();
			xhr.onreadystatechange = function () {
				if(xhr.readyState == 4){
					
					if ( xhr.status == 200 ) {
						var result = JSON.parse(xhr.responseText);
							if(result != null && result.code == 3){
								 mui.alert('注册成功！', '乐猫'); 
								//alert('注册成功!');
								
								
								//将用户的user_id 保存到本地数据库，然后直接跳转到首页
								
								plus.storage.setItem("uid",result.uid+'');
								
								plus.webview.open('/index.html','index.html');
							}else if(result != null && result.code == 2){
								 mui.alert('请填写正确的手机号码！', '乐猫'); 
								//alert('手机号码错误,请填写正确');
								registerStatus = true;
							}else if(result != null && result.code == 1){
								 mui.alert('验证码错误', '乐猫'); 
								//alert('验证码错误');
								registerStatus = true;
							}
					}else{
						 mui.alert('网络错误,请稍后再试!', '乐猫'); 
						//alert('网络错误,请稍后再试!');
						registerStatus = true;
					}
					
				}
			}
			
			xhr.open( "POST", "http://lw.yyblue.com/ledong/login/register" );
	var data={tel:tel,uuid:uuid,code:code,openid:openid};
	data = JSON.stringify(data);
	xhr.send(data);
	
}