// 微信登录操作
function authLogin(type) {
	type = 'weixin';
	//判断是否同意用户使用协议
	if(!document.getElementById("check").checked) {
		mui.alert('请先同意用户使用协议！', '乐猫');
		return;
	}

	var s;
	for(var i = 0; i < auths.length; i++) {
		if(auths[i].id == type) {
			s = auths[i];
			break;
		}
	}

	s.login(function(e) {
		mui.toast("微信登录成功！");
		//alert("登录认证成功！");
		authUserInfo(type);
	}, function(e) {
		mui.toast("微信登录失败！");
		//mui.toast("登录认证失败！");
	});
}

// 微信登录认证信息
function authUserInfo(type) {
	console.log(auths);
	var s;
	for(var i = 0; i < auths.length; i++) {
		if(auths[i].id == type) {
			s = auths[i];
			break;
		}
	}
	if(!s.authResult) {
		mui.toast("未授权登录！");
	} else {
		s.getUserInfo(function(e) {

			var josnStr = JSON.stringify(s.userInfo);
			var jsonObj = s.userInfo;
			//获取到了用户的信息
			//console.log("获取用户信息成功：" + josnStr);
			//将用户的微信openid保存到本地数据库

			var xhr = new plus.net.XMLHttpRequest();
			xhr.onreadystatechange = function() {
				if(xhr.readyState == 4) {

					if(xhr.status == 200) {
						//console.log(xhr.responseText);

						var result = JSON.parse(xhr.responseText);
						//写入提示在视频播放页点击右上角播放
						
						
						if(result.is_tel) {
							plus.storage.setItem("uid", result.uid + '');
							plus.webview.open('/index.html', 'index.html');
						} else {
							plus.storage.setItem("uid", result.uid + '');
							plus.storage.setItem("openid", jsonObj.openid);
							plus.webview.open('/login/register.html', 'register.html');
						}
						plus.webview.currentWebview().close();
					} else {
						mui.alert('网络请求错误!', '乐猫');
						//alert('网络错误,请稍后再试!');
					}
					
				}
			}

			xhr.open("POST", "http://lw.yyblue.com/ledong/login/weixinLogin");
			
			var data = {
				openid: jsonObj.openid,
				nickname: jsonObj.nickname,
				headimgurl: jsonObj.headimgurl,
				uuid: uuid
			};
			
			
			data = JSON.stringify(data);
			console.log(data);
			xhr.send(data);

		}, function(e) {
			mui.alert('获取用户信息失败!', '乐猫');
			//alert("获取用户信息失败：" + e.message + " - " + e.code);
		});
	}
}

var codeStatus = true;
//获取验证码的点击事件
function getCode() {
	if(!document.getElementById("check").checked) {
		mui.alert('请先同意用户使用协议！', '乐猫');
		return;
	}

	if(!codeStatus) {
		return;
	}

	codeStatus = false;

	//获取手机号
	var tel = document.getElementById('tel').value;
	//验证是否是手机号码
	var reg = /^1[3|4|5|7|8][0-9]{9}$/;
	var flag = reg.test(tel); //true
	if(!flag) {
		mui.alert('请输入正确的手机号码!', '乐猫');
		//alert('请输入正确的手机号码!');
		return;
	}

	//发送验证码
	var xhr = new plus.net.XMLHttpRequest();
	xhr.onreadystatechange = function() {
		if(xhr.readyState == 4) {

			if(xhr.status == 200) {

				var result = JSON.parse(xhr.responseText);
				if(result != null && result.code == 400) {
					mui.alert('系统错误!', '乐猫');
					//alert('数据不存在!');
				} else if(result != null && result.code == 200) {
					mui.alert('验证码发送成功!', '乐猫');

					//改变发送验证码的按钮
					var sendObject = document.getElementById('send');

					var s = 60;
					//倒计时

					var intervalId = setInterval(function() {
						sendObject.innerHTML = s + 's';
						s--;
						if(s < 0) {
							clearInterval(intervalId);
							sendObject.innerHTML = '发送验证码';
							codeStatus = true;
						}
					}, 1000);

				} else if(result != null && result.code == 600) {
					mui.alert('手机号格式不正确!', '乐猫');
					codeStatus = true;
				} else if(result != null && result.code == 302) {
					mui.alert('验证码发送失败！', '乐猫');

					codeStatus = true;
				} else if(result != null && result.code == 300) {
					mui.alert('该手机号已经被注册!', '乐猫');

					codeStatus = true;
				}

			} else {
				mui.alert('网络请求错误,系统！', '乐猫');
				codeStatus = true;
			}

		}
	}

	xhr.open("POST", "http://lw.yyblue.com/ledong/login/SendCodeApi");
	var data = {
		tel: tel,
		uuid: uuid,
		status: 1
	};
	data = JSON.stringify(data);
	xhr.send(data);
}

//手机号登录
var registerStatus = true;

function login() {
	if(!registerStatus) {
		return;
	}
	if(!document.getElementById("check").checked) {
		mui.alert('请先同意用户使用协议！', '乐猫');
		return;
	}
	registerStatus = false;

	//获取手机号
	var tel = document.getElementById('tel').value;
	//验证是否是手机号码
	var reg = /^1[3|4|5|7|8][0-9]{9}$/;
	var flag = reg.test(tel); //true
	if(!flag) {
		mui.alert('请输入正确的手机号码!', '乐猫');
		//alert('请输入正确的手机号码!');
		registerStatus = true;
		return;
	}

	//获的取验证码
	var code = document.getElementById('code').value;
	if(!code) {
		mui.alert('请输入验证码!', '乐猫');
		//alert('请输入验证码!');
		registerStatus = true;
		return;
	}

	var xhr = new plus.net.XMLHttpRequest();
	xhr.onreadystatechange = function() {
		if(xhr.readyState == 4) {

			if(xhr.status == 200) {

				var result = JSON.parse(xhr.responseText);
				if(result != null && result.code == 400) {
					mui.alert('系统错误!', '乐猫');
					//alert('数据不存在!');
					registerStatus = true;
				} else if(result != null && result.code == 200) {
					mui.alert('登录成功!', '乐猫');
					//alert('登录成功!');
					var uid = result.uid + '';

					plus.storage.setItem("uid", uid);
					console.log(plus.storage.getItem("uid"));
					plus.webview.open('/index.html', 'index.html');
				} else if(result != null && result.code == 402) {
					mui.alert('验证码错误!', '乐猫');
					//alert('验证码错误!'); 
					registerStatus = true;
				} else if(result != null && result.code == 401) {
					mui.alert('手机号不一致,请重新输入!', '乐猫');
					//alert('手机号不一致，请重新输入!');
					registerStatus = true;
				}

			} else {
				mui.alert('网络请求错误!', '乐猫');
				
				codeStatus = true;
			}
			
		}
	}

	xhr.open("POST", "http://lw.yyblue.com/ledong/login/login");
	var data = {
		tel: tel,
		uuid: uuid,
		code: code
	};
	data = JSON.stringify(data);
	xhr.send(data);

}

//用户协议
function user_agreement() {
	plus.webview.open('user_agreement.html', 'user_agreement.html');
}