//用于playHelper.html网页
//获取在线播放记录
function getRecord() {
	//获取用户是否已经登录
	var user_id = plus.storage.getItem('uid');
	var xhr = new plus.net.XMLHttpRequest();
	xhr.onreadystatechange = function() {
		if(xhr.readyState == 4) {

			if(xhr.status == 200) {
				var data = JSON.parse(xhr.responseText);
				if(data.length >= 1) {
					var string = '';
					for(var x in data) {
						
						//源网址图标
						var imgSrc = '';
						//源播放
						var yuan = '';
						switch(data[x]['rid']) {
							case 'aiqiyi':
								imgSrc = 'images/aiqiyi.png';
								yuan = "onclick=\"openUrl(0"+",'"+data[x]['url']+"');\"";
								break;
							case 'leshi':
								imgSrc = 'images/lstv.png';
								yuan = "onclick=\"openUrl(2"+",'"+data[x]['url']+"');\"";
								break;
							case 'mangguo':
								imgSrc = 'images/mgtv1.png';
								yuan = "onclick=\"openUrl(4"+",'"+data[x]['url']+"');\"";
								break;

							case 'youku':
								imgSrc = 'images/yktv1.png';
								yuan = "onclick=\"openUrl(1"+",'"+data[x]['url']+"');\"";
								break;

							case 'souhu':
								imgSrc = 'images/souhu.png';
								yuan = "onclick=\"openUrl(3"+",'"+data[x]['url']+"');\"";
								break;

							case 'tengxun':
								imgSrc = 'images/tengxun.png';
								yuan = "onclick=\"openUrl(5"+",'"+data[x]['url']+"');\"";
								break;
						}
						
						var click = "onclick=\"openU('"+data[x]['rid']+"'"+",'"+data[x]['anUrl']+"')\"";
						console.log(click);
						
						var li = '<li><div class="videoplaybox"><div class="mui-col-xs-3 mui-col-sm-3"><img src="images/play_1.png" width="100%"></div><div class="mui-col-xs-8 mui-col-sm-8 videocont">' +
							'<div class="videoname">' + data[x]['titleName'] +
							'</div><p>播放时间:' + data[x]['add_time'] + '</p></div></div><div class="videoaddress">' +

							
							'<a '+yuan+'>' +
							'<img src="' + imgSrc + '"> 源网址' +
							'</a>' +
							'<a '+click+'>' +
							'<img src="images/icon-play.png"> 播放' +
							'</a>' +
							'</div>' +
							'</li>'

						string = string + li;
					}

					$('#record').append(string);
				} else {
					$('#no_video').css('display', 'block');
				}

			} else {
				alert('网络请求错误,请稍后再试!');
			}

		}
	}
	xhr.open("POST", "http://lw.yyblue.com/ledong/record/select");
	var data = {
		uid: user_id,
		uuid: plus.device.uuid
	};
	data = JSON.stringify(data);
	xhr.send(data);
}


//使用接口播放
function openU(uname, url) {

	var name = plus.os.name;
	if(name == 'iOS') {
		var webviewStyles = {
			popGesture: 'none',
			statusbar: {
				background: "#FF6600"
			}
		}
	} else {
		var webviewStyles = {
			popGesture: 'none',
			//statusbar:{background:"#FF6600"}
		}
	}

	var resolveId = 'movie_resolve';
	console.log('opening movie_resolve,url:' + url);
	plus.webview.create('movie_resolve.html', resolveId, webviewStyles, {
		url: url,
		name: uname,
	}).show();
}
//预加载网页
		var urls = new Array('iqiyi-login.html',
			'youku.html', 'leshi.html', 'souhu.html', 'mangguo.html', 'tengxun.html');
			//预加载

//打开源网址
function openUrl(type,recordUrl) {
	
	//获取是否显示解析
	var jiexi = Number(plus.storage.getItem('jiexi'));
	if(jiexi){
		plus.nativeUI.toast('乐猫APP已开启视频压缩技术');
	}
	
	//获取网络状态
	var netWork = plus.networkinfo.getCurrentType();
	switch(netWork) {
		case 0:
			plus.nativeUI.alert('您未连接网络,请连接！', '', '', '确定');
			return;
			break;
		case 1:
			plus.nativeUI.alert('您未连接网络,请连接！', '', '', '确定');
			return;
			break;
		
	}
	getTime(type,recordUrl);
}


//本地视频

var ws = null;
	var videoListkey = 'videoListkey';
	function plusReady(){
		//console.log('this page plus ready.....');
		ws = plus.webview.currentWebview();
		click_status = ws.click_status;
		if(click_status == 1) {
			$('#bendi').addClass('mui-active');
			$('#videoplaylist').addClass('mui-active');
		} else {
			$('#zaixian').addClass('mui-active');
			$('#videoaddress').addClass('mui-active');
		}
		
		document.getElementById("zaixian").addEventListener('tap', function(){
			$('#videoplaylist').removeClass('mui-active');
					$('#videoaddress').addClass('mui-active');
					$('#zaixian').addClass('mui-active');
				$('#bendi').removeClass('mui-active');
		});
		
		document.getElementById("bendi").addEventListener('tap', function(){
			$('#videoaddress').removeClass('mui-active');
			$('#videoplaylist').addClass('mui-active');
			$('#bendi').addClass('mui-active');
			$('#zaixian').removeClass('mui-active');
		});
		init_webview();
	showLocalVideoList();//展示本地播放记录
			clickPickLoacalVideo();
		getRecord();
		plus.webview.prefetchURLs(urls);
	}
	if(window.plus){
		plusReady();	
	}else{
		document.addEventListener('plusready', plusReady, false);
	}
	function showLocalVideoList(videoList){
		if(!videoList){
			//不给参数的情况下，是第一次进来初始化。给参的情况：头部追加元素
			videoList = getStoragePlayList();
		}
		if(videoList){
			console.log('show video list length:'+videoList.length);
			$('#no-video-local').hide();
			var html ='';
			for(i in videoList){
				html+='<li ><div class="videoplaybox" onclick="clickPlayLocalVideo(\''+videoList[i].name+'\',\''+videoList[i].src+'\')"><div class="mui-col-xs-3 mui-col-sm-3"><img  src="images/play_1.png" width="100%"></div><div class="mui-col-xs-8 mui-col-sm-8 videocont"><div class="videoname">'+videoList[i].name+'</div><p>添加时间：'+videoList[i].time+'</p></div></div> <div class="videoaddress"><a href="javascript:;">'+renderSize(videoList[i].size)+'</a><a onclick="clickPlayLocalVideo(\''+videoList[i].name+'\',\''+videoList[i].src+'\')"><img src="images/icon-play.png">播放</a></div></li>';
			}
			$('#videopiclist-local').prepend(html);
			$('#videopiclist-local').show();//
			
		}else{
			$('#videopiclist-local').hide();//
			$('#no-video-local').show();
		}
	}
	
	function init_webview(){
		// 开启一直保持程序唤醒状态
		plus.key.addEventListener("backbutton", function() { //监听返回按键
			ws.close();
		}, false);
	}
	//从本地存储获取收藏的列表，返回json数组,若没有则返回空
	function getStoragePlayList(){
		var videostring = plus.storage.getItem(videoListkey);
		//console.log('get storge string:'+videostring);
		if(!videostring){
			return null;
		}else{
			var videoList = JSON.parse(videostring);
			return videoList;
		}
	}
	
	//储存到本地video列表
	function saveVideoList(files,callback){
		console.log('save video length:'+files);
		//src，time，字段
		var date = new Date();
		var timeStr = date.Format('MM-dd hh:mm');
		var videos = getStoragePlayList();
		for(var i in files){
	    	console.log('save current file:'+i);
	    	plus.io.resolveLocalFileSystemURL(files[i], function(entry){
	    		if(entry.isFile){
	    			var name = entry.name;
	    			entry.getMetadata(function(md){
	    				var size = md.size;
						console.log('&&&&&filename:'+name+'&&time:'+timeStr+'&&src:'+files[i]+'size:'+renderSize(size));
	    				vObj = {time:timeStr,src:files[i],name:name,size:size};
						saveVideo(vObj);
						callback(vObj);
	    			},function(e){
	    				console.log('获取文件元数据失败:'+e);
	    			},false);
	    		}
	    	}, function(){
	    		console.log('获取文件信息失败:'+files[i]);
	    	});
	    	
    	}
	}
	function saveVideo(v){
		var videos = getStoragePlayList();
		if(!videos){
			videos = new Array();
		}
		videos.push(v);
		var jsonStr = JSON.stringify(videos);
		console.log('save video:'+jsonStr);
		plus.storage.setItem(videoListkey,jsonStr);
	}
	
	//格式化文件大小
	function renderSize(value){
	    if(null==value||value==''){
	        return "0 Bytes";
	    }
	    var unitArr = new Array("Bytes","KB","MB","GB","TB","PB","EB","ZB","YB");
	    var index=0;
	    var srcsize = parseFloat(value);
	    index=Math.floor(Math.log(srcsize)/Math.log(1024));
	    var size =srcsize/Math.pow(1024,index);
	    size=size.toFixed(2);//保留的小数位数
	    return size+unitArr[index];
	}
	//点击播放事件
	function clickPlayLocalVideo(name,src){
		console.log('play event:'+name+'****url:'+src);
		
		open_play_webview(name,src);
		
	}
	//添加监听事件
	function clickPickLoacalVideo(){
		document.getElementById("video_pick").addEventListener('tap', function(){
			plus.gallery.pick(function(file) {
	        	saveVideoList([file],function(video){
	        		//通知页面加载新的元素
	        		console.log('存储完毕:'+video);
	        		plus.nativeUI.toast('添加本地视频成功');
	        		showLocalVideoList([video]);
	        	});
	//          var v = document.getElementById('video');
	//          v.src = pth;
	//          open_play_webview(pth);
	//          console.log('video pick path:'+pth);
	            //自动全屏
	            //autoFullScrenn(v);
	        }, function(e) {
	            console.log('取消选择视频');
	        }, {
	            filter: 'video',filename: "_doc/videos/"
	        });
		});
	}
   
	
	function open_play_webview(name,play_url){
		var webiewId = 'play_video_webview';
//		var playWebview = plus.webview.getWebviewById(webiewId);
//		if(!playWebview){
			var webviewStyles = {
				videoFullscreen:'auto',
				popGesture: 'none',
				hardwareAccelerated:true,
			};
			var param = {name:name,play_url:play_url};
			playWebview = plus.webview.create('play_video.html', webiewId,webviewStyles,param);
//			ws.append(playWebview);
playWebview.show();
//		}else{
//			console.log('fire playUrlChange');
//			console.log('playwebview:'+playWebview.isVisible()+'&&&id:'+playWebview.id);
//			mui.fire(playWebview,'playUrlChange',{
//				play_url:play_url
//			});
//		}
	}
	
	function IsURL (str_url) {
		var strRegex = /(http|ftp|https):\/\/[\w\-_]+(\.[\w\-_]+)+([\w\-\.,@?^=%&:/~\+#]*[\w\-\@?^=%&/~\+#])?/; 
		//re.test() 
		return strRegex.test(str_url);
		}

		// 对Date的扩展，将 Date 转化为指定格式的String
		// 月(M)、日(d)、小时(h)、分(m)、秒(s)、季度(q) 可以用 1-2 个占位符， 
		// 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字) 
		// 例子： 
		// (new Date()).Format("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423 
		// (new Date()).Format("yyyy-M-d h:m:s.S")      ==> 2006-7-2 8:9:4.18 
		Date.prototype.Format = function (fmt) { //author: meizz 
		    var o = {
		        "M+": this.getMonth() + 1, //月份 
		        "d+": this.getDate(), //日 
		        "h+": this.getHours(), //小时 
		        "m+": this.getMinutes(), //分 
		        "s+": this.getSeconds(), //秒 
		        "q+": Math.floor((this.getMonth() + 3) / 3), //季度 
		        "S": this.getMilliseconds() //毫秒 
		    };
		    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
		    for (var k in o)
		    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
		    return fmt;
		}
		


//获取服务器系统时间，打开源网页
function getTime(type,recordUrl) {
	var xhr = new plus.net.XMLHttpRequest();
	xhr.onreadystatechange = function() {
		if(xhr.readyState == 4) {
			if(xhr.status == 200) {
				//判断用户是否需要登录，或者续费
	var uid = plus.storage.getItem('uid');


	//获取了时间戳,转换成js时间戳
				var timestamp = parseInt(xhr.responseText) * 1000;

	//得到当前用户的vip到期时间时间戳
	var endtime = Date.parse(new Date(plus.storage.getItem('end_time')));

	
	if(timestamp > endtime) {
		var btnArray = ['否', '是'];
		//已过期
		if(uid) {
			mui.confirm('您的vip已到期,请登陆!', '乐猫', btnArray, function(e) {
				if(e.index == 1) {
					//打开登录页ß
					plus.webview.open('vip_paid.html', 'vip_paid.html');
				}
			})
			return;
		} else {
			mui.confirm('您的vip已到期,请登录!', '乐猫', btnArray, function(e) {
				if(e.index == 1) {
					//打开登录页
					plus.webview.open('/login/login.html', 'login.html');
				}
			})
			return;
		}
	}

	type = parseInt(type);
	//var urls = ['http://m.iqiyi.com/',
	//'http://www.youku.com/','http://m.le.com/','http://tv.sohu.com/'];
	//plus.webview.open(url,url);
	
	var name = plus.os.name;
	if(name == 'iOS'){
		var style = {
		popGesture: 'none',
		statusbar:{background:"#FF6666"}
		}
	}else{
		var style = {
		popGesture: 'none',
		//statusbar:{background:"#FF6600"}
		}
	}
	
	wn = plus.webview.create(urls[type], urls[type],style,{
								recordUrl : recordUrl,
							});
	wn.show('none');
	
			} else {
				plus.nativeUI.toast('网络请求错误,请稍后再试!');
			}
		}
	}
	xhr.open("GET", "http://lw.yyblue.com/ledong/hide/getTime");
	xhr.send();
}
